Bug 24319 - rpm --percent does not flush output
Summary: rpm --percent does not flush output
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-18 23:04 UTC by Eskil Heyn Olsen
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-18 23:18:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch against rpm-4.0.2-0.27.src.rpm (380 bytes, patch)
2001-01-18 23:18 UTC, Eskil Heyn Olsen
no flags Details | Diff

Description Eskil Heyn Olsen 2001-01-18 23:04:19 UTC
when using `rpm --percent`, the "%% xx\n" lines are not flushed. This makes
the feature almost useless for parsing from non-tty programs, as progress
is read in jerks making eg. progress bars based on this feature real ugly
and a bad userexperience.

Comment 1 Eskil Heyn Olsen 2001-01-18 23:18:33 UTC
Created attachment 7829 [details]
patch against rpm-4.0.2-0.27.src.rpm

Comment 2 Jeff Johnson 2001-02-21 19:15:15 UTC
Patch added in CVS, will be in rpm-4.0.2 final. Thanks for noticing.


Note You need to log in before you can comment on or make changes to this bug.